%define teaname cktable

%define Name CkTable
Name: tcl-%teaname
Version: 0.1
Release: alt0.2
Summary: TkTable analogue for Ck
License: BSD
Group: Development/Tcl
URL: http://doro.poltava.ua
Source: %url/sysprg/%teaname-%version.tar.bz2
Patch: %name-0.1-pkg.patch.gz
BuildArch: noarch

# Automatically added by buildreq on Sun Nov 26 2006 (-bi)
BuildRequires: tcl

%description
Truncated TkTable analogue for Ck.


%prep
%setup -q -c
%patch -p1


%build
echo "auto_mkindex . %teaname.tcl" | tclsh


%install
install -pD -m 0755 demo %buildroot%_tcldatadir/%Name/demos/demo.tcl
install -m 0644 %teaname.tcl tclIndex %buildroot%_tcldatadir/%Name/
cat > %buildroot%_tcldatadir/%Name/pkgIndex.tcl <<__INDEX__
package ifneeded %Name %version [list source [file join \$dir %teaname.tcl]]
__INDEX__


%files
%doc Readme
%dir %_tcldatadir/%Name
%dir %_tcldatadir/%Name/demos
%_tcldatadir/%Name/*.tcl
%_tcldatadir/%Name/tclIndex
%_tcldatadir/%Name/demos/*


%changelog
* Tue Nov 28 2006 Led <led@altlinux.ru> 0.1-alt0.2
- fixed URL

* Sun Nov 26 2006 Led <led@altlinux.ru> 0.1-alt0.1
- initial build
